Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department: T3-HC Affected Products: ADTF 3.15.4, ADTF Display Toolbox

3.8.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DisplayTB::Common

Resolution: Solved Issue FAQ Links:  

Description

Support Rquest

In der ADTF2-DispTB gab es separate ScopeView- und TableView-Plugins abseits des SignalsViews. Sind diese wieder geplant?

Solution

nein, diese beiden rudimentären Displays sind zu ADTF 3.x abgekündigt worden.

Eine generischer Ersatz ist gerade in Arbeit, das Substream Display. Das kann dir schon das Table ersetzen, für das Line Graph

Display (XY, Scope) werdet ihr bald was zu anfassen bekommen. Zusätzlich wird es eine Trace View Option darin geben in den

kommenden Monaten, damit sollten wir alle relevanten Displaymoglichkeiten abgedeckt haben, flexibel zur Laufzeit sein, ebenso

performant und - vor allem - nicht mehr den unnötigen Umweg mit doppelter Übertragung von Nutzdaten über eine Signal Registry

gehen, nur um Daten anzuzeigen die bereits im Graphen modelliert sind.

Was Table betrifft, ist das Media Description Display ebenso jetzt schon zu empfehlen.

Das macht diese beiden alten Features obsolet.

History

#1 - 2023-03-10 12:37 - hidden

- Project changed from Public Support to 30

- Status changed from New to In Progress

- Topic set to DisplayTB::SignalView

- Affected Products ADTF Display Toolbox 3.8.0 added

#3 - 2023-03-10 18:36 - hidden

Hallo Patrick,

nein, diese beiden rudimentären Displays sind zu ADTF 3.x abgekündigt worden.

Eine generischer Ersatz ist gerade in Arbeit, das Substream Display. Das kann dir schon das Table ersetzen, für das Line Graph Display (XY, Scope)

werdet ihr bald was zu anfassen bekommen. Zusätzlich wird es eine Trace View Option darin geben in den kommenden Monaten, damit sollten wir

alle relevanten Displaymoglichkeiten abgedeckt haben, flexibel zur Laufzeit sein, ebenso performant und - vor allem - nicht mehr den unnötigen

Umweg mit doppelter Übertragung von Nutzdaten über eine Signal Registry gehen, nur um Daten anzuzeigen  die bereits im Graphen modelliert sind.

Was Table betrifft, ist das Media Description Display ebenso jetzt schon zu empfehlen.

Das macht diese beiden alten Features obsolet.

Gruß

Florian

#4 - 2023-03-10 18:37 - hidden
- Status changed from In Progress to Customer Feedback Required

- Topic changed from DisplayTB::SignalView to DisplayTB::Common

#5 - 2023-03-16 14:45 - hidden

Hallo Patrick,

wenn es keine weiteren Fragen gibt würde das Ticket geschlossen werden.

Ich lasse dieses noch inkl. den 17.03.2023 offen.

Danach wird es kommentarlos geschlossen.

Mit besten grüßen

Sascha

#7 - 2023-03-16 15:15 - hidden

Was ist der ungefähre Zeithorizont für das Line Graph Display (XY Scope)? DisplayTB 3.9?

Ansonsten kann das Ticket geschlossen werden.

#8 - 2023-03-20 08:52 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Guten Morgen Patrick,

leider können wir keinen dir hierzu keinen Zeithorizont nennen wann dir Release stattfinden wird.

Mit besten Grüßen

Sascha

#9 - 2023-03-20 10:17 - hidden

- Description updated

- Resolution set to Solved Issue

#10 - 2023-03-24 07:51 - hidden

Hi Patrick,

noch ein Nachtrag:

Es geht beim Line Graph nicht um eine Komponente in der Display TB, sondern im ADTF.

Es wird eine Option im Substream Display.

Welche Version können wir noch nicht sagen, aber eine Preview hoffen wir noch im PI fertigzubekommen, damit ihr uns Feedback geben könnt.

Hier steht aber noch viel Arbeit an, ist aber ganz oben auf der Liste.

Am Ende kommt denk ich ein tolles Tooling zur Laufzeit für euch raus, das alle Freiheitsgrade bietet.

Gruß,

Florian

#11 - 2023-04-03 07:28 - hidden

- Project changed from 30 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
